/*
 * $Id: bulletinst.d,v 1.2 2004/04/03 11:03:27 kenta Exp $
 *
 * Copyright 2004 Kenta Cho. All rights reserved.
 */
module abagames.tf.bulletinst;

private:
import abagames.tf.morphbullet;
import abagames.tf.bullettarget;

/**
 * Bullet with params of sppedRank, shape, color, size, 
 * the horizontal reverse moving, target, type.
 */
public class BulletInst: MorphBullet {
 public:
  float speedRank;
  int shape, color;
  float bulletSize;
  float xReverse, yReverse;
  BulletTarget target;
  static enum Type {
    ENEMY, SHIP
  }
  int type;

 private:

  public this(int id) {
    super(id);
  }

  public void setParam(float sr, int sh, int cl, float sz, 
		       float xr, float yr, BulletTarget tr, int tp) {
    speedRank = sr;
    shape = sh;
    color = cl;
    bulletSize = sz;
    xReverse = xr;
    yReverse = yr;
    target = tr;
    type = tp;
  }
}
