/*
 * $Id: bulletsmanager.d,v 1.1.1.1 2004/04/03 10:36:32 kenta Exp $
 *
 * Copyright 2003 Kenta Cho. All rights reserved.
 */
module abagames.util.bulletml.bulletsmanager;

private:
import bulletml;
import abagames.util.bulletml.bullet;

/**
 * Interface for bullet's instances manager.
 */
public interface BulletsManager {
  public void addBullet(float deg, float speed);
  public void addBullet(BulletMLState *state, float deg, float speed);
  public int getTurn();
  public void killMe(Bullet bullet);
}

