/*
 * $Id: csv.d,v 1.1.1.1 2004/04/03 10:36:32 kenta Exp $
 *
 * Copyright 2004 Kenta Cho. All rights reserved.
 */
module abagames.util.csv;

private:
import std.stream;
import std.string;

/**
 * CSV format Tokenizer.
 */
public class CSVTokenizer {
 private:

  public static char[][] readFile(char[] fileName) {
    char[][] result;
    auto File fd = new File;
    fd.open(fileName);
    for (;;) {
      char[] line = fd.readLine();
      if (!line)
	break;
      char[][] spl = split(line, ",");
      foreach (char[] s; spl) {
	char[] r = strip(s);
	if (r.length > 0)
	  result ~= r;
      }
    }
    fd.close();
    return result;
  }
}
